GL1800Riders Forums banner

1 - 1 of 1 Posts

·
Registered
Joined
·
1,069 Posts
Discussion Starter #1 (Edited)
A friend has a 2009 navigation model. I was trying to help him update to a newer custom mapset. The Canadian 2009-10 for some reason continued to use the older navi units the 06-08 used which had data on CompactFlash cards. However, their firmware is a different version. IIRC, his firmware was 2.21 and I believe he had the stock mapset from 2011? Anyway, it still utilized the same named mapset, gmapsupp.img as many 06-08 use. I know that the US 09-up started using the mapset named gmapprom.img. Because it (Canadian 09-10) is also based on the older navi units, I am assuming that it also has the 2gb size limitation. So I tried compiling a custom mapset like I use on my 07 which works on mine. His navi unit wouldnt read it and he could only see the base maps on the unit. When we checked the system info and it showed something like North Carolina in the Map Info box. When we put the factory CF card back in, it read that just fine.



So I am assuming that he probably needs to do a firmware update to be able to read current maps. And that is the problem, I can find many different firmware for US 06-08, such as 4.60, 4.70, 4.90, and the most current 5.10. And I know US 09-10 have 2.90 but that is also a different firmware from the 2.80 and 2.90 used by US 2012-up. But that while the 06-08 "load" (read install) the firmware via a gupdate.gcd file, the US 09-up utilize the file, sys.bin as the firmware and dont necessarily load it but rather use it during bootup. So does anyone have any suggestions on what the current firmware is for Canadian 09-10 to update his 2.21 firmware? And if its updated, will it be able to read the current maps in the gmapsupp.img format or would it now be able to read the gmapprom.img as well?
 
1 - 1 of 1 Posts
Top